<?xml version="1.0" encoding="utf-8"?>
<androidx.core.widget.NestedScrollView xmlns:android="http://schemas.android.com/apk/res/android"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    xmlns:app="http://schemas.android.com/apk/res-auto">

    <LinearLayout
        android:layout_width="match_parent"
        app:layout_constraintStart_toStartOf="parent"
        android:orientation="vertical"
        android:layout_height="wrap_content">

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginTop="@dimen/_20sdp"
            android:gravity="center_horizontal"
            android:orientation="horizontal">
        <androidx.cardview.widget.CardView
            android:id="@+id/cv1"
            android:layout_width="@dimen/_100sdp"
            android:layout_height="@dimen/_30sdp"
            app:cardBackgroundColor="@color/dark_blue"
            app:cardCornerRadius="@dimen/_5sdp"
            app:cardElevation="@dimen/_5sdp"

            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent">

            <TextView
                android:id="@+id/tv_buy"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_gravity="center"
                android:text="Buy"
                android:textColor="@color/white" />


        </androidx.cardview.widget.CardView>


        <androidx.cardview.widget.CardView
            android:id="@+id/cv2"
            android:layout_width="@dimen/_100sdp"
            android:layout_height="@dimen/_30sdp"
            android:layout_marginLeft="24dp"
            app:cardBackgroundColor="@color/white"
            app:cardCornerRadius="@dimen/_5sdp"
            app:cardElevation="@dimen/_10sdp">

            <TextView
                android:id="@+id/tv_sell"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_gravity="center"
                android:text="Sell"
                android:textColor="@color/black" />


        </androidx.cardview.widget.CardView>

        </LinearLayout>
        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:orientation="vertical"
            android:visibility="visible"
             app:layout_constraintTop_toBottomOf="@id/cv1"
            android:layout_marginTop="@dimen/_10sdp"
            android:id="@+id/ll_buy">
        <androidx.recyclerview.widget.RecyclerView
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            app:layout_constraintTop_toBottomOf="@id/cv2"
            app:layout_constraintStart_toStartOf="parent"
            android:layout_marginLeft="@dimen/_10sdp"
            android:layout_marginTop="@dimen/_10sdp"
            android:paddingBottom="@dimen/_30sdp"
            android:id="@+id/rv_preowned"/>
        </LinearLayout>

        <LinearLayout
            android:id="@+id/ll_sell"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:orientation="vertical"
            android:visibility="gone"
            android:layout_marginLeft="@dimen/_10sdp"
            android:layout_marginRight="@dimen/_10sdp"
            android:layout_marginTop="@dimen/_30sdp"
            >


            <com.app.alliedmotor.utility.widgets.CustomRegularTextview
                android:id="@+id/tv_make"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginTop="@dimen/_5sdp"
                android:text="@string/make"
                android:textSize="@dimen/_12sdp" />

            <com.app.alliedmotor.utility.widgets.CustomRegularEditText
                android:layout_width="match_parent"
                android:layout_height="@dimen/_35sdp"
                android:drawablePadding="@dimen/_10sdp"
                android:layout_margin="@dimen/_5sdp"
                android:textSize="@dimen/_10sdp"
                android:imeOptions="actionNext"
                android:singleLine="true"
                android:textColor="@color/edittext_text_color"
                android:background="@drawable/edittext_bottom_line"
                android:drawableRight="@drawable/ic_down_arrow"
                android:hint="Any Make"
                android:id="@+id/spin_makername"
                />

            <com.app.alliedmotor.utility.widgets.CustomRegularTextview
                android:id="@+id/tv_model"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginTop="@dimen/_5sdp"
                android:text="@string/model"
                android:textSize="@dimen/_12sdp" />

            <com.app.alliedmotor.utility.widgets.CustomRegularEditText
                android:layout_width="match_parent"
                android:layout_height="@dimen/_35sdp"
                android:drawablePadding="@dimen/_10sdp"
                android:layout_margin="@dimen/_5sdp"
                android:textSize="@dimen/_10sdp"
                android:imeOptions="actionNext"
                android:singleLine="true"
                android:textColor="@color/edittext_text_color"
                android:background="@drawable/edittext_bottom_line"
                android:drawableRight="@drawable/ic_down_arrow"
                android:hint="Any Model"
                android:id="@+id/spin_modelname"
                />

            <com.app.alliedmotor.utility.widgets.CustomRegularTextview
                android:id="@+id/tv_fuel"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginTop="@dimen/_5sdp"
                android:text="@string/fuel"
                android:textSize="@dimen/_12sdp" />

            <com.app.alliedmotor.utility.widgets.CustomRegularEditText
                android:layout_width="match_parent"
                android:layout_height="@dimen/_35sdp"
                android:drawablePadding="@dimen/_10sdp"
                android:layout_margin="@dimen/_5sdp"
                android:textSize="@dimen/_10sdp"
                android:imeOptions="actionNext"
                android:singleLine="true"
                android:textColor="@color/edittext_text_color"
                android:background="@drawable/edittext_bottom_line"
                android:drawableRight="@drawable/ic_down_arrow"
                android:hint="Fuel Type"
                android:id="@+id/spin_fuel"
                />

            <com.app.alliedmotor.utility.widgets.CustomRegularTextview
                android:id="@+id/tv_tranmission"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginTop="@dimen/_5sdp"
                android:text="@string/transmission"
                android:textSize="@dimen/_12sdp" />

            <com.app.alliedmotor.utility.widgets.CustomRegularEditText
                android:layout_width="match_parent"
                android:layout_height="@dimen/_35sdp"
                android:drawablePadding="@dimen/_10sdp"
                android:layout_margin="@dimen/_5sdp"
                android:textSize="@dimen/_10sdp"
                android:imeOptions="actionNext"
                android:singleLine="true"
                android:textColor="@color/edittext_text_color"
                android:background="@drawable/edittext_bottom_line"
                android:drawableRight="@drawable/ic_down_arrow"
                android:hint="Transmission"
                android:id="@+id/spin_transmission"
                />

            <com.app.alliedmotor.utility.widgets.CustomRegularTextview
                android:id="@+id/tv_year"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginTop="@dimen/_5sdp"
                android:text="@string/year"
                android:textSize="@dimen/_12sdp" />

            <com.app.alliedmotor.utility.widgets.CustomRegularEditText
                android:layout_width="match_parent"
                android:layout_height="@dimen/_35sdp"
                android:drawablePadding="@dimen/_10sdp"
                android:layout_margin="@dimen/_5sdp"
                android:textSize="@dimen/_10sdp"
                android:imeOptions="actionNext"
                android:singleLine="true"
                android:textColor="@color/edittext_text_color"
                android:background="@drawable/edittext_bottom_line"
                android:drawableRight="@drawable/ic_down_arrow"
                android:hint="Select year"
                android:id="@+id/spin_year"
                />

            <com.app.alliedmotor.utility.widgets.CustomRegularTextview
                android:id="@+id/tv_mileage"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginTop="@dimen/_5sdp"
                android:text="@string/mileage"
                android:textSize="@dimen/_12sdp" />

            <com.app.alliedmotor.utility.widgets.CustomRegularEditText
                android:layout_width="match_parent"
                android:layout_height="@dimen/_35sdp"
                android:drawablePadding="@dimen/_10sdp"
                android:layout_margin="@dimen/_5sdp"
                android:textSize="@dimen/_10sdp"
                android:imeOptions="actionNext"
                android:singleLine="true"
                android:textColor="@color/edittext_text_color"
                android:background="@drawable/edittext_bottom_line"
                android:drawableRight="@drawable/ic_down_arrow"
                android:hint="Mileage"
                android:id="@+id/spin_mileage"
                />





        </LinearLayout>



    </LinearLayout>
    <!--  <com.app.alliedmotors.utility.widgets.CustomRegularButton
          android:layout_width="wrap_content"
          android:layout_height="@dimen/_40sdp"
          android:text="Buy"
          android:id="@+id/bt_buy"
          android:layout_marginTop="@dimen/_20sdp"
          android:textAllCaps="false"
          app:layout_constraintStart_toStartOf="parent"
          app:layout_constraintTop_toTopOf="parent"
          android:layout_marginStart="@dimen/_50sdp"
          style="@style/button_style1"/>
      <com.app.alliedmotors.utility.widgets.CustomRegularButton
          android:layout_width="wrap_content"
          android:layout_height="@dimen/_40sdp"
          android:text="Sell"
          android:id="@+id/bt_sell"
          android:layout_marginTop="@dimen/_20sdp"
          app:layout_constraintEnd_toEndOf="parent"
          android:layout_marginRight="@dimen/_60sdp"
          android:layout_marginLeft="@dimen/_20sdp"
          app:layout_constraintLeft_toRightOf="@id/bt_buy"
          app:layout_constraintTop_toTopOf="parent"
          android:backgroundTint="@color/white"
          android:textColor="@color/black"
          android:textAllCaps="false"
          style="@style/button_style1"/>

      </androidx.constraintlayout.widget.ConstraintLayout>-->
</androidx.core.widget.NestedScrollView>